#ifndef _EDITRECIPE_H
#define _EDITRECIPE_H

#include <QDialog>


namespace Ui {
class EditRecipe;
}

class EditRecipe : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditRecipe(int id, QWidget *parent = 0);
    ~EditRecipe();

private slots:
    void on_saveButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void time_changed();

private:
    Ui::EditRecipe *ui;
    int recno, lasttime = 0;
    bool textIsChanged = false;

    void WindowTitle();
};

#endif
